package com.muyu.vehicle;

import lombok.Data;
import lombok.extern.log4j.Log4j2;

@Data
@Log4j2
public class VehicleThread implements Runnable{
    /**
     * 是否停止线程
     */
    private volatile boolean isStop;

    /**
     * 车辆实例对象
     */
    private VehicleInstance vehicleInstance;
    @Override
    public void run() {
        if (!isStop){
            log.info("{}-上报数据",this.vehicleInstance.getVin());
        }
    }
}
